aboutsummaryrefslogtreecommitdiffstats
path: root/azure-pipelines/test-sanitizers
diff options
context:
space:
mode:
authorJay Berkenbilt <ejb@ql.org>2019-06-15 21:34:29 +0200
committerJay Berkenbilt <ejb@ql.org>2019-06-15 23:24:24 +0200
commit127859a6d3071332bccfcf5ce4d98a4b70fbacee (patch)
tree2b8178e32f8f476006d1e05bf3b948715e4b3b44 /azure-pipelines/test-sanitizers
parentbcfa407912dde624cc64e9d19d0ad1eb10c62247 (diff)
downloadqpdf-127859a6d3071332bccfcf5ce4d98a4b70fbacee.tar.zst
Run tests with sanitizers in CI
Diffstat (limited to 'azure-pipelines/test-sanitizers')
-rwxr-xr-xazure-pipelines/test-sanitizers12
1 files changed, 12 insertions, 0 deletions
diff --git a/azure-pipelines/test-sanitizers b/azure-pipelines/test-sanitizers
new file mode 100755
index 00000000..507b73ed
--- /dev/null
+++ b/azure-pipelines/test-sanitizers
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+sudo apt-get update
+sudo apt-get -y install \
+ autoconf build-essential zlib1g-dev libjpeg-dev
+./configure \
+ CFLAGS="-fsanitize=address -fsanitize=undefined -g" \
+ CXXFLAGS="-fsanitize=address -fsanitize=undefined -g" \
+ LDFLAGS="-fsanitize=address -fsanitize=undefined" \
+ --enable-werror --disable-shared --enable-show-failed-test-output
+make -j$(nproc) -k
+make -k check